%{
#define YYSTYPE double
#include "measures.tab.h"
#include <stdlib.h>
#include <stdio.h>
#include <math.h>
%}


%%
[ \t]+      { ; }

"Number of "[a-zA-Z]+" proof steps:" { //printf("1-");
                                     return(NumberSteps);
                                   }  

"Total number of proof steps:" { //printf("2-");
                                 return(TotalSteps);
                               }

"Time spent by the prover:" { //printf("3-");
                                return(TimeSpent);
                            }

"seconds" {// printf("4-");
             return(Seconds);
          }

[0-9]+ {//printf("5-");
	  sscanf(yytext,"%d",&yylval); return(INT);
       }

[0-9]+"."[0-9]+ {   //printf("6-");
//	             sscanf(yytext,"%f",&yylval); 
//                     printf("%s-",yytext);
                     yylval=atof(yytext);
//                     printf("%f",yylval);
                     return(FLOAT);
                }

\n         return (yytext[0]); 

.        { ; /* ignora tudo o resto */ }

%%


int yywrap()                  /* called by yylex()                  */
{ return(1); }                /*   0: yylex() continues reading     */
                              /*   other: yylex() stops             */
